package com.yd.csf.service.service;

import com.yd.csf.service.dto.BeneficiaryDto;
import com.yd.csf.service.model.Beneficiary;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 受益人信息主表 服务类
 * </p>
 *
 * @author zxm
 * @since 2025-09-01
 */
public interface IBeneficiaryService extends IService<Beneficiary> {

    List<Beneficiary> queryList(BeneficiaryDto dto);

    Beneficiary queryOne(String beneficiaryBizId);

    Boolean del(String appointmentBizId);
}
